﻿<ListGroupItem>
    <Label For="@Id">@Label</Label>
    <Button id="@Id" Clicked="ClickHandle">
        <Icon Class="fab-item-icon" Name="@($"fa-{Icon}")" />
    </Button>
</ListGroupItem>

@code {

    [Parameter]
    public EventCallback Clicked { get; set; }

    [Parameter]
    public string Label { get; set; }

    [Parameter]
    public string Icon { get; set; }

    [CascadingParameter( Name = "Fab" )]
    protected Fab Fab { get; set; }

    private string Id = Guid.NewGuid( ).ToString( ).Substring( 0, 4 );

    private void ClickHandle( ) {
        Fab.ToogleFab( );
        Clicked.InvokeAsync( null );
        StateHasChanged( );
    }
}